INTERFACE
subroutine precond (YD_PX,kmat)
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE CONTROL_VECTORS, ONLY : CONTROL_VECTOR, DOT_PRODUCT
TYPE(CONTROL_VECTOR),INTENT(INOUT) :: YD_PX
INTEGER(KIND=JPIM),INTENT(IN) :: KMAT
end subroutine precond
END INTERFACE
